variety (0.8.9~git202206222123.7922c02~ppa948~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 30 Jun 2022 19:40:04 +0000

variety (0.8.9) focal; urgency=medium

  * Bugfix #536, #537: Fix errors when there is no primary monitor configured

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 23 Jun 2022 00:22:00 +0200

variety (0.8.8) focal; urgency=medium

  * Feature #89: Added options to select fit size / wallpaper mode. Added an image-dependent smart fit mode.
  * Bugfix #519: Fix issues with autostart.
  * Bugfix #534: Fix the fallback Wallhaven non-API downloading mode used for some Wallhaven URLs.
  * Bugfix #480: Improve image searching: Avoid deep/huge folders causing Variety to ignore the other folders.

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 17 Jun 2022 13:00:00 +0200

variety (0.8.7) focal; urgency=medium

  * Added a global switch to turn Internet connectivity for Variety off or on
  * Wallhaven sources now use the Wallhaven API, not html parsing
  * Support for fetching NSFW images from Wallhaven
  * Auto-upgrade set_wallpaper/get_wallpaper scripts. Should fix issues with Dark style in GNOME.
  * Newly added non-configurable sources will be disabled by default

 -- Peter Levi <peterlevi@peterlevi.com>  Sat, 30 Apr 2022 19:00:41 +0200

variety (0.8.6) focal; urgency=medium

  * New source: National Geographic's photo of the day
  * New source: ArtStation
  * Add support for Gnome's Dark style
  * Change default font for quotes and clock to Serif for greater compatibility
  * Translation updates and bugfixes

 -- Peter Levi <peterlevi@peterlevi.com>  Sat, 23 Apr 2022 16:10:41 +0200

variety (0.8.5) focal; urgency=medium

  * Fixes for Python 3.9 support
  * Fix GH-388: Cleanup of wallpaper folder now cleans all image types
  * Fix GH-363: We were almost never triggering purging downloads
  * Enable support for Qtile-venv (GH-386)
  * Updated Japanese translations

 -- James Lu <james@overdrivenetworks.com>  Tue, 01 Dec 2020 22:10:41 -0800

variety (0.8.4) focal; urgency=medium

  * Remove dead Desktoppr, ChromeOS sources (GH-323)
  * Properly verify TLS certificates when downloading images (GH-326)
  * Fix banning images when using Delete to Trash option (GH-304)
  * Preserve file extensions when copying wallpapers to another folder (GH-240)
  * Fix crash in indicator code when image origin is not available (GH-287)
  * Remove spurious "No such schema “org.cinnamon.desktop.background” errors" (GH-329)
  * Update Unsplash rate limit (GH-332)
  * Better detection for AwesomeWM (GH-282)

 -- James Lu <james@overdrivenetworks.com>  Thu, 16 Jul 2020 11:30:53 -0700

variety (0.8.3) bionic; urgency=medium

  * Remove World Sunlight Map source

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 12 Feb 2020 01:12:00 +0200

variety (0.8.2) bionic; urgency=medium

  * Bugfixes
  * Added Urban Dictionary and UNIX fortune program as quote sources

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 09 Jan 2020 8:41:00 +0200

variety (0.8.1) bionic; urgency=medium

  * Bugfixes

 -- Peter Levi <peterlevi@peterlevi.com>  Sat, 28 Dec 2019 23:06:00 +0200

variety (0.8.0) bionic; urgency=medium

  * Image sources are now plugins
  * Add support for sequential albums
  * Add support for multiple simultaneously running Variety profiles (--profile command option)
  * Add a Privacy Notice dialog
  * Add support for configurable Unsplash sources
  * Add two new sources (ChromeOS Wallpapers and Google Earth View Wallpapers)
  * Download linked to wallpaper changing, not configured as a separate interval
  * Add a dedicated --set/--set-wallpaper option
  * Make the thumbs display much faster
  * Fix bugs related to GTK threading usage
  * Mulitple bugfixes
  * Dev process: Use auformatting on all Python files (black, isort)

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 22 Dec 2019 10:38:00 +0200

variety (0.7.2) bionic; urgency=medium

  * Add support for Sway, bspwm
  * Enable AwesomeWM support by default
  * Fix crash on --help or --version if a Variety instance is already running (GH-148)
  * Fix spurious "file not found" errors when checking for animated GIFs (GH-132)
  * New translations: Chinese, Japanese

 -- James Lu <james@overdrivenetworks.com>  Sun, 21 Apr 2019 19:36:59 -0700

variety (0.7.1) bionic; urgency=medium

  * Fix remaining bugs from the Python 3 port: errors when saving favorite
    quotes and generating pencil_tile.png

 -- James Lu <james@overdrivenetworks.com>  Tue, 23 Oct 2018 08:49:01 -0700

variety (0.7.0) bionic; urgency=medium

  * New translation: Turkish
  * Fix possible download issues when upgrading from older Variety versions
    and having safe mode enabled
  * GoodreadsSource: fix stray HTML tags being displayed in quote authors

 -- James Lu <james@overdrivenetworks.com>  Tue, 17 Jul 2018 15:41:18 -0700

variety (0.7.0~a1) UNRELEASED; urgency=medium

  * Port to Python 3
  * Fix broken trash deletion on some systems by directly using Gio libraries
  * Fix potential log file corruption when trying to start multiple instances
  * Support for setting GNOME Screensaver / GDM background
  * Removed outdated functionality for publishing to Facebook
  * Updated URL for QuotationsPage plugin
  * Update default clipboard_hosts: add deviantart.net, imageshack.com;
    remove (dead) ns223506.ovh.net

 -- James Lu <james@overdrivenetworks.com>  Tue, 17 Jul 2018 15:41:18 -0700

variety (0.6.9) bionic; urgency=medium

  * Removed broken "SSL dependency" installation code
  * Fix trash deletion (0.6.8 regression) and replace gvfs-trash (deprecated)
    with 'gio trash'
  * Skip metadata checks on non-image files, leading to
    "GExiv2: unsupported format" warnings
  * Use subprocess.Popen to run xdg-open so that it doesn't block on some
    distros (LXQt, Trinity DE)
  * Removed more dead code related to VRTY.org, Panoramio, KDE 4
  * Add get_wallpaper support for KDE Plasma 5; fix support for LXDE
  * Move bug tracker links to GitHub

 -- James Lu <james@overdrivenetworks.com>  Thu, 12 Jul 2018 11:01:25 -0700

variety (0.6.8) bionic; urgency=medium

  * Unsplash API update
  * Remove everything related to VRTY.org which is not running anymore

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 11 Apr 2018 00:20:03 +0200

variety (0.6.7) bionic; urgency=medium

  * Fix "unary operator expected" errors on KDE variables in set_wallpaper
  * New WM support: i3 with logging (i3-with-shmlog), Moksha (e17 fork), dwm
  * i3 and openbox code now uses either feh or nitrogen interchangeably
  * Removed Debian-specific use of dpkg-query in checks for nitrogen
  * Switch to Ayatana indicators by default, patch by Unit 193
  * Many fixes to set_wallpaper pointed out by shellcheck

 -- James Lu <james@overdrivenetworks.com>  Mon, 26 Mar 2018 18:12:12 -0700

variety (0.6.6) xenial; urgency=medium

  * [Security] Fixed multiple shell injection issues in the
    "Delete to Trash", filter, and clock code
  * Add long-awaited wallpaper changing support on KDE Plasma 5
  * Fix crash when gi-appindicator isn't installed
  * Removed verbose console output by default, as this tends to spam
    syslog and ~/.xsession-errors when launched via autostart -
    see https://bugs.launchpad.net/bugs/1685003
  * Fixed Variety showing the wrong version in the About dialog

 -- James Lu <bitflip3@gmail.com>  Tue, 19 Sep 2017 11:50:11 -0700

variety (0.6.5) xenial; urgency=medium

  * Variety 0.6.5: See
    https://bazaar.launchpad.net/~variety/variety/trunk/changes/599
    for a list of changes.

 -- James Lu <bitflip3@gmail.com>  Tue, 22 Aug 2017 11:50:11 -0700

variety (0.6.4) trusty; urgency=low

  * Remove automatic killswitch for old versions

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 29 Apr 2017 00:20:03 +0200

variety (0.6.3) trusty; urgency=low

  * Add way to outdate old versions

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 22 Jul 2016 00:20:03 +0200

variety (0.6.2) trusty; urgency=low

  * Safe mode added for filtering out NSFW images
  * Initial version of anonymous stats reporting

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 22 Jul 2016 00:20:03 +0200

variety (0.6.1) trusty; urgency=low

  * Workaround for Wallhaven SSL issues
  * Removed code for no-longer supported Wallpapers.net source

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 22 Jul 2016 00:20:03 +0200

variety (0.6.0) trusty; urgency=low

  * Added Variety Slideshow
  * Using official Unsplash API now

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 30 Dec 2015 01:45:03 +0200

variety (0.5.5) precise; urgency=low

  * Bumped the version to 0.5.5
  * Updated translation files
  * Added some more default image sources
  * Disable Latest source by default, put NSFW warning in description
  * set_wallpaper: Fix support for KDE Plasma 5
  * Fixed minor typo in Add Reddit dialog

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 20 Sep 2015 00:33:42 +0300

variety (0.5.5) precise; urgency=low

  * Bumped the version to 0.5.5
  * Updated translation files
  * Added some more default image sources
  * Disable Latest source by default, put NSFW warning in description
  * set_wallpaper: Fix support for KDE Plasma 5
  * Fixed minor typo in Add Reddit dialog

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 20 Sep 2015 00:33:04 +0300

variety (0.5.4ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Sun, 20 Sep 2015 00:27:37 +0300

variety (0.5.4) precise; urgency=low

  * Updated setup.py to not change icon paths in desktop file
  * Remove requests dependency for UnsplashDownloader
  * Remove requests dependency for UnsplashDownloader
  * More localization-related fixes
  * Fix UI of all dialogs to prevent labels from maximizing them
    horizontally
  * Localization-related fixes. Updated translations.
  * Minor update to changes and tips info
  * Smart: updated report_file to heed needs_reupload response
  * Bumping version number to 0.5.4
  * Updated dependencies in debian/control to include python-requests
  * Disable sorting of Images table by clicking in header
  * UI cosmetics on non-Unity: Add some spacing between buttons next to
    Images table
  * Fix UI of PreferencesVarietyDialog to prevent labels from maximizing
    it horizontally
  * Use explicit python2 hashbangs in all scripts, as Ubuntu will be
    moving to Python 3 as default
  * Removed some unnecessary junk files
  * Unsplash: sanitize filenames of downloaded images, just in case some
    unexpected char pops up there in the future
  * Added support for Unsplash.com
  * Added Bing Photo of the Day image source
  * Update tests to run on local modules, not global Variety modules
  * Simplify Donate tab in Preferences
  * Small change to bin/variety to facilitate local testing when Variety
    is installed in the classic Debian way
  * Preparing to move Variety to a classic Debian-style package: Icons
  * Fixed Facebook publishing: use publish_actions scope
  * Fixes to LXQt support (thanks to Erik Nelson)
  * Add out-of-the-box support for LXQt (Thanks to panfren)
  * Better detection of images coming from MediaRSS feeds when
    sourceType is missing
  * Out-of-the-box support for i3-wm

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 05 Aug 2015 23:01:43 +0300

variety (0.5.3ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Wed, 05 Aug 2015 21:14:58 +0300

variety (0.5.3) precise; urgency=low

  * Updated some translations, added Korean
  * Bumped version ot 0.5.3
  * Fix fetching of Wallhaven image SFW rating

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 08 Feb 2015 20:03:36 +0200

variety (0.5.2ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Sun, 08 Feb 2015 19:58:14 +0200

variety (0.5.2) precise; urgency=low

  * Bumping version to 0.5.2
  * More logging by default, no need for -v argument
  * Missing XDG directory definitions were causing Variety to fail.
    Fixed now.

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 20 Jan 2015 12:08:11 +0200

variety (0.5.2) precise; urgency=low

  * Bumping version to 0.5.2
  * More logging by default, no need for -v argument
  * Missing XDG directory definitions were causing Variety to fail.
    Fixed now.

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 20 Jan 2015 12:07:04 +0200

variety (0.5.1ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Tue, 20 Jan 2015 12:02:48 +0200

variety (0.5.1) precise; urgency=low

  * Bumping version to 0.5.1
  * SafeLogger wraps all logging in lambda calls to avoid
    UnicodeDecodeErrors in building log messages
  * Add a No, thanks button to the VRTY.ORG invitation screen
  * Minor fix to move_or_copy_file to handle outer metadata.json files
  * Use safe_print to avoid UnicodeEncodeError when printing messages on
    badly configured terminals
  * VRTY.ORG invitation screen: Closing with X button or Esc is
    interpreted as Don't participate
  * Do not fail to start when smart_user.json is broken

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 11 Jan 2015 22:17:01 +0200

variety (0.5.0ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Sun, 11 Jan 2015 14:03:59 +0200

variety (0.5.0) precise; urgency=low

  * Smart: updated again some texts
  * Removed some unnecessary delays in Timer calls
  * Trashing was slow due to smart-reporting: update queues and
    wallpaper first, report and delete in an outer thread afterwards
  * Added TestRedditDownloader
  * Initial registration screen: Register link instructs user to look
    for a new browser tab
  * Smart: updated some welcome screens texts
  * Smart: try to load user in init to avoid exception related to
    creating RecommendedDownloader
  * Updated variety.pot
  * Bumped version to 0.5.0
  * Merged variety-smart branch, preparing for 0.5.0 release
  * MediaRSS: use variety:author info when present
  * Merged in Simotek's Enlightenment related fix
  * Minor refactor: added VarietyWindow.register_downloaded_file
  * Show Next and Previous in main menu only in non-Unity DEs (Unity
    supports indicator scroll, no need for them there)
  * Make sure to delete metadata json when purging downloaded folder
  * Unicode: Make _u and _str transparent for None
  * Util.get_xdg_pictures_folder uses
    GLib.get_user_special_dir(GLib.USER_DIRECTORY_PICTURES), not
    subprocess call to xdg-user-dir
  * Merge in multi-screen Enlightenment-related changes from Simotek
  * set_wallpaper: Do not call unity-greeter gsettings command, it is
    causing issues on some machines
  * Use another server options URL, specific for the current version.
  * Merge changes to indicator.py from variety-smart
  * Merged in some changes from variety-smart
  * Merged in updates to Downloaders from the variety-smart branch
  * Next and previous options in main menu
  * Bumping the version number to 0.4.21
  * Added forgotten RedditDownloader.py
  * Added support for Reddit as an image source
  * Refactored out some duplicate code in AddXXXDialogs, added
    AbstractAddByQueryDialog
  * Option to search image with Google Image Search
  * More structured throttling of do_set_wp and scroll handling. Fix to
    ThumbsWindow when showing bad file
  * Autostart desktop file: use bash || command to run Variety wherever
    it is located. Create autostart entry on first run. Update it on
    every version upgrade
  * Minor fix to the desktop file
  * Ensure Variety starts and works OK when there is no wallpaper image
  * Fetch and save in EXIF SFW rating from Wallhaven
  * Update to Wallhaven search
  * Fixed some failing tests
  * Removed some outdated quotes-related tests
  * View at... option in right-click thumbnail menu as well
  * Updates related to Wallbase->Wallhaven change, not possible anymore
    to add Wallbase sources
  * Wallbase -> Wallhaven update to default sources
  * Adding Wallhaven.cc support
  * Merging changes to reading/writing metadata from variety-smart
  * Bugfix: do not remove delete wallpaper file in
    cleanup_old_wallpapers()
  * Faceboook sharing: do not include link to full image, let Facebook
    choose image itself
  * Bugfix: Make sure all dialogs require just one click on the X button
    to close
  * Bugfix: Add image source dialogs required two clicks on the X button
    to close
  * Use proper origin URL for Desktoppr images
  * Fix Unicode error related to non-ascii font names

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 07 Jan 2015 09:34:19 +0200

variety (0.4.20) precise; urgency=low

  * Bumping version to 0.4.20
  * set_wallpaper: Do not call the XFCE-related code when xfconf-query
    is not present
  * Another Unicode-related fix (logging with -vvv was throwing Unicode-
    related errors)
  * Another Unicode-related fix
  * Another Unicode-related fix

 -- Peter Levi <peter@plpc>  Mon, 05 Jan 2015 01:36:09 +0200

variety (0.4.19ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@peter>  Thu, 17 Jul 2014 15:46:32 +0300

variety (0.4.19) precise; urgency=low

  * Fix to Facebook first run dialog. Added latest translations.
  * Separate Author entry in menu for images from Panoramio
  * Bumped version to 0.4.19
  * Merged with trunk
  * Save author when dowloading from Panoramio
  * Panoramio support: added search box
  * Panoramio support, initial drop
  * Thumbs: show 100, not 200 images, reduces CPU spike period
  * Menu: merged Playback and Image submenus
  * Facebook sharing: Updated text of first time dialog
  * Facebook sharing updates, bugfix
  * Polishing updates to Facebook publishing. Easy way to include quote
    with image.
  * Facebook authentication uses variety:// redirects, not internal
    Webkit windows
  * More explicit Unicode handling. Tackle unicode encode/decode errors
    by working with unicode internally for filepaths, options, etc.
  * Minor update to indicator icon
  * Use 22px png for the indicator, not svg - works better in XFCE and
    Gnome
  * Minor fix related to clipboard monitoring hosts
  * Removed preferences for Facebook and Rating menuitems, not needed
    anymore
  * Added support for Enlightenment
  * Streamlining the menu, TODO: remove preferences for Facebook and
    Rating menuitems
  * Menuitem and command option to show thumbsbar for manual wallpaper
    selection
  * Fixing Wallpapers.net support
  * Update Flickr calls to use https (Flickr closed non-SSL API access)
  * Cinnamon: Fix for reverting scaling mode to Zoom on every WP change

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 15 Jul 2014 09:02:16 +0300

variety (0.4.18ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@plpc>  Tue, 15 Jul 2014 01:32:31 +0300

variety (0.4.18) precise; urgency=low

  * Adding latest translations
  * Bumping version to 0.4.18
  * Note about KDE updated in tips and tricks
  * Changes to KDE support. Added more translations.
  * Fix support of XFCE (4.10 changed the way wallpapers are set)
  * Fix 'Desktop manager not active' bug caused by pcmanfm - run it only
    when LXDE active
  * Merge
  * Fixed an https-related problem with Flickr (Bug #1305370)
  * Fixes in the changelog for some build experiments
  * Streamlined the image-searching code
  * Local files quotes plugin was getting perplexed by Windows line
    endings
  * Add missing Texts.py
  * Some slight chnages to texts, Bulgarian transaltion updated
  * Bitcoin donate link
  * Translatable image source descriptions
  * Translatable filter names
  * Translatable tips and tricks
  * More fixes to saving quotes to Favorites
  * Configurable location of quotes favorites file
  * Saving favorite quotes: use % for delimiter, as in the fortune file
    format
  * Proper fix for bad unicode characters in quotes from
    TheQuotationsPage
  * Options to save quotes to favorites and view the saved favorites
  * Replace some more bad unicode characters in quotes from
    TheQuotationsPage
  * Replace some bad unicode characters in quotes from TheQuotationsPage
  * Ignore error when GSettings lookup fails
  * Creating ubuntu package
  * Bugfix: Wallpapers.net downloader was failing when there were
    subcategories on the page

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 09 May 2014 11:35:52 +0300

variety (0.4.17ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peter@peter>  Fri, 09 May 2014 11:32:53 +0300

variety (0.4.17) precise; urgency=low

  * Upped version to 0.4.17
  * Fix Wallbase collections URLs support

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 26 Sep 2013 18:39:46 +0300

variety (0.4.16) precise; urgency=low

  * Append http: to links starting with //
  * Updated translation files
  * Quick access to quotes preferences
  * QuotesEngine: different notif. warnings when sites are down and when
    search criteria are bad
  * Changes to filters - removed charcoal, added soft blur
  * Option to reveal the clean image when using any effects
  * Upped version to 0.4.16
  * Added Recommended sources link under image sources list
  * Quotes: better search by tags for Goodreads; local files also
    support fortune file format
  * Mrgd in variety-plugins
  * Updated Wallbase dialog - simpler, allows entering keywords or URL
  * Updating WallpapersNetDownloader to work with current Wp.net site
  * Updating WallbaseDownloader to work with current Wallbase site
  * QuoteWriter now works on GTK thread (fixes potential
    SegmentationFault)
  * Proper handling of terminating signals
  * Fix bad quotes in Cinnamon section in set_wallpaper

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 25 Sep 2013 00:08:30 +0300

variety (0.4.15ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 24 Sep 2013 23:43:57 +0300

variety (0.4.15) precise; urgency=low

  * Merged from trunk

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 11 Jun 2013 23:27:18 +0300

variety (0.4.14) precise; urgency=low

  * Allow themeable indicator icon (looks for variety-indicator icon
    name). Updated translations.
  * Fixing UnicodeDecodeErrors when applying filters or clock
  * Enhanced LightDM support: more flexible in the case of encrypted
    home
  * Log exceptions in Util.makedirs. Minor test added.
  * Updates changes.txt, preparing to release 0.4.14
  * Fix get_wallpaper to better differentiate between MATE 1.6 and older
  * Bug 1173347: Remove sources button was not always showing menu
  * FolderChooser: show only basename, not full path
  * Custom FileChooser replaces the very buggy Gtk.FileChooserButton
  * Updated perform_upgrade functionality to reflect the changes to
    scripts and to wallpaper setting functionality
  * Removed unused apport and GSettings code (auto-generated by quickly)
  * Bug 1136025: Use trash-put (from trash-cli) for Delete to Trash
  * Bug 1181628: Always use different filename on wallpaper update
  * Bug 1181736: use ~ for paths when possible when persisting config
    file
  * Add support for Cinnamon 1.8
  * Option for better LightDM support
  * Fix for #1171552: Guard set_wallpaper with a timeout to prevent from
    hangs
  * Merged: Add support for MATE 1.6
  * Add X-GNOME-Autostart-Delay=20 to autostart desktop file, should fix
    bug #1163172
  * Do not crash if gsettings schema org.gnome.desktop.background is
    missing
  * Filters can now use %FILENAME% and %FILEPATH% variables for image
    annotation
  * #1173636: Pass original filename as third parameter to set_wallpaper
  * Some more logging in VarietyWindow
  * Logging: add time; log all method calls when run with -vvv
  * Fix exception when deleting to Trash
  * Updated changes.txt

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 11 Jun 2013 23:22:32 +0300

variety (0.4.13ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 11 Jun 2013 09:31:09 +0300

variety (0.4.13) precise; urgency=low

  * Try/finally around some remaining threads_enter/threads_leave calls
  * Changed server options URL; Use Cache-Control header to avoid stale
    data from server
  * Adding translations: es, ru, bg
  * Minimum download interval increased to 1 minute; Serverside options
    support for Wallpapers.net downloader as well
  * Bugfix: Also clear prepared_from_downloads when prepared queues need
    clearing
  * Use try/finally around all places using
    Gtk.threads_enter/threads_leave to prevent from freezes in case of
    error
  * FB image publishing might sometimes fails without a valid reason.
    Solved by retrying up to 3 times.
  * Updated variety.pot
  * Auto-update set_wallpaper script on upgrade when it has not been
    modified by the user
  * Fix freezing when exceptions happen in update_indicator
  * Translations: Fix to Light/Dark translation context
  * Updated pot file
  * Minor fix: delay fetching of server options at start
  * Quotes were giving an error on KDE, installing python-gi-cairo fixes
    it - adding it to deps
  * XFCE was not refreshing wallpaper when using quotes or clock
  * Bug #1096630: Fix exception on first run when there is no current
    wallpaper image
  * Log to a file (~/.config/variety/variety.log), not only to console
  * Prettier approach to fetching serverside options; Added supoprt for
    server-defined Wallbase min intervals
  * Minor fix to the Remove... menu labels
  * Pressing Enter now works in the Add dialogs (no need to click OK)
  * Removing sources and files: take actions to remove the files from
    various queues
  * Remove sources menu to delete or not the downloaded files; initial
    version
  * Changes to AUTHORS and copyright notice in FacebookHelper
  * Bugfix: Proper clearing of prepared buffer when settings change
  * Support for showing a serverside-obtained status message in
    Preferences
  * Dynamic restrictions on how often Flickr API calls are made
  * More minor localization-related fixes
  * Upgrade handling support. Handle download folder changes on upgrade
    to 0.4.13
  * More options for the download folder - allow it to be an empty
    folder, or one used before for downloading
  * Translating to Bulgarian and fixing various localization issues on
    the way
  * Protect user files when changing download folder: Use a subfolder
    when DL dir is outside Variety's config dir
  * Bug 1084961: modifying the thumbs bar prefs was only hiding it, not
    showing it again with the new settings
  * Fixes for SVG: Util.get_size was failing; Run no filtering if the
    filter is empty (e.g. Keep original)

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 14 Feb 2013 16:43:14 +0200

variety (0.4.12ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 14 Feb 2013 16:32:46 +0200

variety (0.4.12) precise; urgency=low

  * Updated tips and changes txt
  * Bugfix: Save original wallpaper name when quotes are applied
  * Bugfix: a download was forcing the thumbs window to reshow when
    already hidden
  * Minor fix
  * Improvements related to image preparing; Minor bug-fixes
  * Trigger a download when too few images found; Livelier thumbs when
    showing folders, not only history and downloads (new downloads are
    auto-shown)
  * Merged in variety-instant-preferences
  * Fix: removed class Window was still referred at one place
  * Replaced some unnecessary timers with calls to GObject.timeout_add
  * Reordered prefs tabs. Command-line way to set options
  * Added UI preferences tab
  * Removed unneeded files
  * Stripping VarietyWindow from Quickly's boilerplate; Separate
    WelcomeDialog
  * Quotes: fix image scaling
  * Merged in lp:~peterlevi/variety/variety-quotes
  * Unity qucklist added, initial version; Show Preferences if run again
    with no parameters - better launcher button behaviour
  * Commandline options to hide/show/toggle visibility of indicator icon
    and to show preferences
  * Added Rating option to main menu - optional (off by default)
  * Added funtionality to set image ratings
  * Filtering by rating added; Preparations for adding simple
    functionality to rate images
  * Ensure wallpaper is changed even if the current background is a
    solid color in Gnome/Unity
  * Minor fixes
  * Commandline options for toggling History and Recent downloads
  * Updated icons 14x14 and 16x16
  * Thumbs: back to showing 200 instead of 100
  * When appindicator is not present fallback gracefully to a GTK
    StatusIcon
  * Minor fix
  * Made strings translatable
  * Updated chnages.txt; Fixed unnecessary heavy preparing of images
    during purge_download_folder
  * Better prioritizong of new downloads to give equal exposure to
    refreshers and normal downloading sources
  * Added a Donate page and link in preferences

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 27 Nov 2012 00:08:57 +0200

variety (0.4.11ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Mon, 26 Nov 2012 23:54:26 +0200

variety (0.4.11) precise; urgency=low

  * Fix for WB
  * Minor bugfixes
  * Fix separators - call SeparatorMenuItem.new() instead of
    SeparatorMenuItem()
  * Option to choose between Copy to Fav, Move to Fav.
  * Option to choose between Copy to Fav, Move to Fav. Fixes to thumbs
    popup menu.
  * Use gvfs-trash for proper moving to trash, not custom file move
    operation
  * Bugfix 1064592: Preferences dialog too high for netbooks
    (1024x600px)
  * Bugfix 1065284: Thumbs: Auto-scrolling continues even after user
    pops a right-click menu or sets a wallpaper
  * Bugfix for 1064667: Variety doesn't fetch images urls from
    InterfaceLift - use a normally looking User-Agent for all requests
  * Bugfix for 1051743: Variety sometimes uses 100% of the CPU

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 16 Oct 2012 22:25:20 +0300

variety (0.4.10) precise; urgency=low

  * Minor edit of Media RSS dialog text
  * Set proper Media RSS dialog title
  * Updated changes.txt for 0.4.10
  * Updated MediaRSS dialog; Thumbs: show less thumbs (100, not 200),
    but faster so dialog is fully responsive sooner
  * Minor fix - append to history only when image is not same as
    previous one
  * More work for EarthDownloader; Bugfix: sources Enable checkboxes
    were not always reacting to clicks
  * Live Earth sunlight map support, initial version
  * Simplified menu - moved rarely used playback items to a submenu
  * Display Source option implemented, initial version
  * URL-unquote and make safe local filename when downloading. More
    Picasa-specific rss fixes
  * Picasa RSS feeds - add imgmax=d parameter to feed URL to get full
    image resolutions
  * Wrap url in quotations when calling xdg-open with it
  * Recent downloads view
  * #1048238 Fix fetching a file with same name as existing file
  * Media RSS feeds, initial support
  * Command-line options for next, previous, fav, trash, pause, etc. Can
    be used at start or passed via dbus to running instance

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 07 Oct 2012 15:50:37 +0300

variety (0.4.9ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 11 Sep 2012 00:04:04 +0300

variety (0.4.9) precise; urgency=low

  * Autostart: create .config/autostart if needed; Handle case when user
    sets local clock back in time
  * KDE support, initial version
  * Do not destroy preferences dialog, just hide it, cache it on start -
    shows much faster now
  * Thumbs menu: radio mark on the current size and position menu items
  * Initial wallpaper refresh in a Timer - faster start when filters are
    used
  * Minor fix: make prepare thread not wake every 30 seconds
  * Clipboard monitoring: option to bypass the whitelist
  * Separate filter and clock filter so that only clock filter is
    applied every minute (reduced CPU usage when both are used); Better
    icon (128 px, not blurry in gnome shell)
  * Persist last wallpaper change moment. Use it when change interval is
    >= 6 hours to ensure wallpaper changes regularly even between
    restarts; Fixed bug in history persisting - was persisting too much
  * Minor fix to comments in variety.conf
  * Marking of current file in thumbnails view
  * Proper listening for thumbs window closed event - updates the
    Close/Show history state

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 04 Sep 2012 23:02:17 +0300

variety (0.4.8ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Mon, 03 Sep 2012 17:20:48 +0300

variety (0.4.8) precise; urgency=low

  * Facebook - show image in publish dialog; Clock - apply on start,
    hide on quit; Bugfixes for Facebook and clock
  * Clock, initial version
  * Sharing on Facebook, initial version
  * Reread options from file just before Save, so as not to persist
    stale options
  * Better handling of dropping local images - do not fetch them, add
    them directly; Proper update of history view on fetch/add
  * Sharing on Facebook, initial support infrastructure
  * Beeter blur filter

 -- Peter Levi <peterlevi@peterlevi.com>  Sat, 18 Aug 2012 16:43:20 +0300

variety (0.4.7ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Sat, 18 Aug 2012 16:39:10 +0300

variety (0.4.7) precise; urgency=low

  * More fixes to support Xubuntu, Lubuntu, Mint properly
  * Bug #1036649, Make prefs dialog non-modal - thumbnails window was
    not receiving any clicks on XFCE, LXDE, MATE
  * Updated get/set wallpaper scripts, tested on XFCE, LXDE, MATE
  * Persist history between runs

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 17 Aug 2012 18:55:15 +0300

variety (0.4.6ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 15 Aug 2012 09:01:52 +0300

variety (0.4.6) precise; urgency=low

  * One more slight chnage to order in menu
  * Updated changes
  * ImageFetcher: use fetched image as notification icon
  * Remove NSFW warning for Desktoppr - it now seems to return only safe
    images; make a sanity check in DesktopprDownloader
  * Reordered menu for faster access to most common actions (Fav/Trash);
    Added Fast Forward
  * Write more comprehensive origin metadata to downloaded images
  * Make indicator icon stand out better with Radiance theme

 -- Peter Levi <peterlevi@peterlevi.com>  Wed, 15 Aug 2012 16:13:08 +0300

variety (0.4.5ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Mon, 13 Aug 2012 10:33:29 +0300

variety (0.4.5) precise; urgency=low

  * More fixes to history display; some minor UI updates (tooltips,
    etc.)
  * Updated tips. Minor bugfix.
  * Better clicking in history; Bugfixes
  * Trash/Fav in thumbs menu; Live updating of thumbs for trash/history
    operations
  * Bugfix: Make scripts executable on start (Installation clears their
    executable bits)
  * Fixes - autosroll threads used to live forever and eat cpu
  * GTK threading fixes again
  * Slicker autoscrolling stop effect; Show History in menu
  * Refactored ThumbsWindow; Added size and position options for
    thumbnails
  * ThumbsWindow: support for other positions (not only bottom); no GUI
    yet
  * Minor fix
  * Autoscroll for thumbnails view
  * Merged convert-metadata and set/get wallpaper scripts revisions
  * Support for custom commands on wallpaper set - use scripts for
    getting/setting the wallpaper

 -- Peter Levi <peterlevi@peterlevi.com>  Sat, 11 Aug 2012 14:47:44 +0300

variety (0.4.4ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Sat, 11 Aug 2012 14:39:48 +0300

variety (0.4.4) precise; urgency=low

  * Updated changes.txt
  * Faster filters - scale to screen resolution first
  * More random Util.list_files - used to be lousy for deep big folders,
    now better but still far from being fair-random
  * Metadata inside image (XMP), txt file only as fallback
  * Use button - a quick way to set the sources to use
  * Simplify click handing code in ThumbsWindow

 -- Peter Levi <peterlevi@peterlevi.com>  Mon, 06 Aug 2012 01:43:04 +0300

variety (0.4.3ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 05 Aug 2012 23:30:04 +0300

variety (0.4.3) precise; urgency=low

  * Updated changes.txt
  * Bugfixes: more thumbs/gtk/threading fixes

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 03 Aug 2012 11:01:13 +0300

variety (0.4.3) precise; urgency=low

  * Updated changes.txt
  * Bugfixes: more thumbs/gtk/threading fixes

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 03 Aug 2012 10:42:03 +0300

variety (0.4.2) precise; urgency=low

  * Updated changes.txt
  * Bugfixes (mainly thumbs/gtk threading stuff); Forced kill when quit
    takes too long

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 03 Aug 2012 02:15:30 +0300

variety (0.4.1ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Fri, 03 Aug 2012 02:05:34 +0300

variety (0.4.1) precise; urgency=low

  * Update changes.txt
  * Select files to show as thumbnails randomly
  * Thumbnails, initial version
  * Focus newly added sources; When auto-populating sources and filters,
    only check the type/name for equality
  * Single Add button with a drop-down menu for the different image
    sources
  * Image preview when adding images; Removed unnecessary default
    sources
  * Bugfix: underscores in filename and folder path in indicator

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 02 Aug 2012 23:54:26 +0300

variety (0.4.1) precise; urgency=low

  * Update changes.txt
  * Select files to show as thumbnails randomly
  * Thumbnails, initial version
  * Focus newly added sources; When auto-populating sources and filters,
    only check the type/name for equality
  * Single Add button with a drop-down menu for the different image
    sources
  * Image preview when adding images; Removed unnecessary default
    sources
  * Bugfix: underscores in filename and folder path in indicator

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 02 Aug 2012 23:53:50 +0300

variety (0.4) precise; urgency=low

  * Extracted makedirs calls to Util
  * Bugfix: create config dir on startup
  * Minor fixes to clipboard monitoring
  * Minor fixes to fetching; Tips and tricks in Preferences
  * Cosmetic GUI fix
  * Preferences for manual downloading; Clipboard monitoring
  * Drag and drop support - drop an image link on the launcher icon to
    download the image
  * Merged quickly changes for 0.3.15

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 02 Aug 2012 17:49:53 +0300

variety (0.3.15) precise; urgency=low

  * Bug fixed: update_indicator was failing on the first run (at
    startup)

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 31 Jul 2012 22:46:45 +0300

variety (0.3.14) precise; urgency=low

  * Disable Move/Copy immediately after automatic chnages to avoid
    inadvertent clicking; Better notifications; Better filters error
    handling
  * Bug #1027708: Change Move to Favs to Copy to Favs. Remove
    confirmation dialogs.
  * Open folder/View image instead of Edit for folders and images
  * Editing of sources now possible
  * Purge downloaders cache if size options change; Log level INFO on -
    v, DEBUG on -vv

 -- Peter Levi <peterlevi@peterlevi.com>  Tue, 24 Jul 2012 01:34:03 +0300

variety (0.3.13) precise; urgency=low

  * Minor fixes; Add some wallbase to default sources
  * Notify user when after Next or MoveToTrash we cannot find another
    image to display
  * Full Wallbase.cc support
  * Wallbase downloader added (no GUI yet); Some duplicate code
    refactored
  * Fix bug 1025615: Variety may refuse to start because of incorrect
    lock/PID checking

 -- Peter Levi <peterlevi@peterlevi.com>  Sun, 22 Jul 2012 03:08:30 +0300

variety (0.3.12) precise; urgency=low

  * NASA APOD - Use archive instead of RSS, but still always put in
    queue the newest 3 images
  * NASA's Astro pic of the day, initial support (RSS-feed-based)

 -- Peter Levi <peterlevi@peterlevi.com>  Mon, 16 Jul 2012 23:36:07 +0300

variety (0.3.11) precise; urgency=low

  * Merged in some suggested packaging-related changes from
    lp:~andrewsomething/ubuntu-app-reviews/variety
  * Fix bug: Flickr downloader could download several different sizes of
    the same image during several consecutive fills of the queue

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 12 Jul 2012 22:16:55 +0300

variety (0.3.10ubuntu1) precise; urgency=low

  * 

 -- Peter Levi <peterlevi@peterlevi.com>  Thu, 12 Jul 2012 17:01:35 +0300

variety (0.3.10) precise; urgency=low

  * Initial release.

 -- Peter Levi <peterlevi@peterlevi.com>  Mon, 09 Jul 2012 21:30:07 +0300
